Update Reference Item Status
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-items/{referenceItemId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collectionVersion": 123,
"referenceItemVersion": 123
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-items/{referenceItemId}/status"
payload = {
"collectionVersion": 123,
"referenceItemVersion": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({collectionVersion: 123, referenceItemVersion: 123})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-items/{referenceItemId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entry": {
"referenceItems": [
{
"kind": "catalog_item",
"catalogItemId": "<string>",
"catalogFamilySourceId": "<string>",
"catalogAttributes": {
"family": {},
"item": {},
"familySource": {},
"itemSource": {}
},
"catalogFamilyVersion": 123,
"catalogItemVersion": 123,
"catalogItemSourceVersion": 123,
"id": "<string>",
"referenceCode": "<string>",
"name": "<string>",
"vendorName": "<string>",
"sourceLabel": "<string>",
"imageUrl": "<string>",
"available": true,
"status": "draft",
"position": 123,
"version": 123,
"dimensions": "<string>",
"finish": "<string>",
"quantity": "<string>",
"price": "<string>",
"writableValueFields": [
"finish"
],
"materialsCount": 123,
"partsCount": 123,
"componentsCount": 123
}
],
"notes": [
"<string>"
],
"values": {
"catalogFamily": {},
"catalogItem": {},
"projectItem": {},
"projectItemSlot": {}
},
"framework": {
"fields": [
{
"id": "<string>",
"slug": "<string>",
"label": "<string>",
"type": "text",
"destination": "projectItemSlot",
"options": [
{}
],
"isCore": true,
"required": true,
"editable": true
}
],
"inheritedValues": {
"catalogFamily": {},
"catalogItem": {},
"projectItem": {},
"projectItemSlot": {}
}
},
"images": [
{
"id": "<string>",
"url": "<string>",
"altText": "<string>",
"isDefault": true,
"position": 123,
"version": 123
}
],
"id": "<string>",
"name": "<string>",
"productTypeId": "<string>",
"categoryId": "<string>",
"categoryLabel": "<string>",
"categoryPath": [
{
"id": "<string>",
"label": "<string>"
}
],
"productTypeLabel": "<string>",
"description": "<string>",
"areaReference": "<string>",
"parLevel": "<string>",
"applyParToPurchaseQuantity": true,
"status": "draft",
"quantity": "<string>",
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturers": [
{
"id": "<string>",
"name": "<string>",
"available": true
}
],
"mandatoryManufacturerId": "<string>",
"instructionsCount": 123,
"requirementsCount": 123,
"position": 123,
"referencesCount": 123,
"referenceCode": "<string>",
"imageUrl": "<string>",
"imagesCount": 123,
"validationIssueCount": 123,
"version": 123
},
"collectionVersion": 123
}Collections
Update Reference Item Status
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
collections
/
{id}
/
entries
/
{entryId}
/
reference-items
/
{referenceItemId}
/
status
Update Reference Item Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I